Bug 476698 - conga doesn't run with selinux
conga doesn't run with selinux
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 11:13 EST by Brian Brock
Modified: 2016-04-26 11:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2008-12-16 11:13:35 EST
Description of problem:
enabling selinux on luci & ricci systems running conga fails.  The luci pages for cluster creation and for listing a cluster return a message that the clients could not be reached.


Version-Release number of selected component (if applicable):
luci-0.12.1-7.el5
ricci-0.12.1-7.el5
selinux-policy-2.4.6-200.el5

How reproducible:
happens on clean installs.  If selinux is changed into permissive mode, the error message goes away and the cluster is properly displayed.  If selinux is then re-enabledaga in , the cluster is still displayed properly.

Steps to Reproduce:
1. Install 3 systems with luci & ricci, and selinux enabled
2. attempt to create a cluster, observe results
3. disable selinux with `setenforce 0`
4. attempt to create or view cluster, observe results
5. re-enable selinux with `setenforce 1`
6. attempt to create or view cluster, observe results
  
Actual results:
error message is given instead of view of cluster contents.  exact error message will be posted shortly.

Expected results:
no error messages, cluster created and viewed normally

Additional info:
Comment 1 Brian Brock 2008-12-16 15:57:22 EST
when trying to create a cluster named "t1":

An error occurred when trying to contact any of the nodes in the t1 cluster.
Comment 2 Vinny Valdez 2009-04-20 16:31:05 EDT
(In reply to comment #1)
> when trying to create a cluster named "t1":
> 
> An error occurred when trying to contact any of the nodes in the t1 cluster.  

The name does not seem to matter, all of my clusters report this error when creating a cluster, even with selinux disabled using RHEL 5.3  This never happened before using 5.2 and previous.  If you wait a few minutes and hit refresh, everything works.  Should I file a new bug on this?
Comment 3 Vinny Valdez 2009-04-20 16:39:01 EDT
I just double-checked, and although the systems running ricci have selinux disabled, the system running luci has selinux enabled, and the luci server is typically not changed, where the ricci systems are always kickstarted.  My apologies on the incorrect information, this is definitely what I am seeing.
Comment 4 Perry Myers 2009-04-21 14:05:30 EDT
We don't have selinux support lined up for rhel5.4 inclusion, so I'm going to move this bug to target rhel5.5.  Certainly when cluster suite support working with selinux, conga (ricci/luci) should as well.
Comment 9 errata-xmlrpc 2010-03-30 04:55:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0289.html

Note You need to log in before you can comment on or make changes to this bug.